/*
 * Copyright (C) 2012 Canonical Ltd
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by Pawel Stolowski <pawel.stolowski@canonical.com>
 */

namespace Unity.VideoLens
{
  public static int main (string[] args)
  {
    Test.init (ref args);
    Test.add_data_func ("/Utils/Gcd", test_gcd);
    Test.run ();
    return 0;
  }

  internal static void test_gcd ()
  {
    assert (Utils.gcd (1, 1) == 1);
    assert (Utils.gcd (2, 1) == 1);
    assert (Utils.gcd (10, 2) == 2);
    assert (Utils.gcd (2, 10) == 2);
    assert (Utils.gcd (20, 15) == 5);
  }
}